SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   HPE LoadRunner Vendors:   HPE
HP Mercury LoadRunner Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1017613
SecurityTracker URL:  http://securitytracker.com/id/1017613
CVE Reference:   CVE-2007-0446   (Links to External Site)
Updated:  Feb 10 2007
Original Entry Date:  Feb 8 2007
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.0 GA, 8.1 GA, 8.1 SP1, FP1, FP2, FP3, and FP4
Description:   A vulnerability was reported in HP Mercury LoadRunner. A remote user can execute arbitrary code on the target system.

A remote user can send a packet with a specially crafted 'server_ip_name' field to the 'magentproc.exe' service on TCP port 54345 to trigger a stack overflow within 'mchan.dll' and execute arbitrary code on the target system.

The vendor was notified on October 27, 2006.

TippingPoint reported this vulnerability.

The original advisory is available at:

http://www.zerodayinitiative.com/advisories/ZDI-07-007.html

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   HP has issued the following fixes.

Mercury LoadRunner Agent 8.1 FP4

LR81FP4P150 - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.1 FP4 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/c337892f322b2311c22572670060b795?OpenDocument

LR81FP4P150(UNIX) - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.1 FP4 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/6d7ce88c0d5c4b36c225726a004a94a2?OpenDocument

Mercury LoadRunner Agent 8.1 SP1, FP1, FP2, FP3

Upgrade to Mercury LoadRunner Agent 8.1 FP4 and apply the appropriate patch listed above.

Mercury LoadRunner Agent 8.1 GA

LR81P151 - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.1 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/7cd789640e496c34c225726700613486?OpenDocument

LR81P151(UNIX) - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.1 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/f2de896609dd7efbc225726a004af033?OpenDocument

Mercury LoadRunner Agent 8.0 GA

LR80P071 - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.0 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/fa4a48afea2f8198c22572670061bbe7?OpenDocument

LR80P071(UNIX) - SSRT061280 MA ZDI-CAN-112: Mercury LoadRunner Agent 8.0 Stack Overflow
http://webnotes.merc-int.com/patches.nsf/c4d68388a23535dc422567d0004bbae2/5de153e30789fa4ac225726a004b2354?OpenDocument

The HP advisory is available at:

http://www1.itrc.hp.com/service/cki/docDisplay.do?docId=c00854250

Vendor URL:  www1.itrc.hp.com/service/cki/docDisplay.do?docId=c00854250 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), Windows (NT)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC